Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/CostomerRegist/FrmCostomerRegist.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/CostomerRegist/FrmCostomerRegist.cs	(nonexistent)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/CostomerRegist/FrmCostomerRegist.cs	(revision 55)
@@ -0,0 +1,711 @@
+using System;
+using System.Collections.Generic;
+using System.ComponentModel;
+using System.Data;
+using System.Drawing;
+using System.Linq;
+using System.Text;
+using System.Windows.Forms;
+using System.Collections;
+
+using log4net;
+using log4net.Appender;
+using log4net.Repository.Hierarchy;
+
+using ProcessManagement.Common;
+using ProcessManagement.DB.IOAccess;
+using ProcessManagement.DataModel;
+using ProcessManagement.DB.Core;
+using ProcessManagement.Forms.SubForms;
+using ProcessManagement.Forms.CustomControls;
+using ProcessManagement.Forms.ControlsAction;
+//*---------------------------- 発注者登録申請画面 ----------------------------*
+//  2017/03/28  Ver1.0.0.0      Create Source           
+//
+//
+//
+//*----------------------------------------------------------------------------*
+namespace ProcessManagement.Forms.DataEntry
+{
+    public partial class FrmCostomerRegist : Form
+    {
+        #region 使用定義
+        //log4netログを使用する
+        private static readonly log4net.ILog logger = log4net.LogManager.GetLogger(System.Reflection.MethodBase.GetCurrentMethod().DeclaringType);
+        #endregion
+
+        #region 定数
+        // 最大文字数
+        /// <summary>
+        /// 発注者名
+        /// </summary>
+        private const int s_CostomerNameLength = 60;
+        /// <summary>
+        /// 住所
+        /// </summary>
+        private const int s_AddressLength = 60;
+        /// <summary>
+        /// 備考
+        /// </summary>
+        private const int s_NoteLength = 300;
+
+        /// <summary>
+        /// 表示順番
+        /// </summary>
+        private enum DispCtrl
+        {
+            PetitionPeriod = 0,
+            PersonCode,
+            PersonName,
+            DepartmentName,
+            PetitionDate,
+            OrdersDivision,
+            CorporateStatusName,
+            OrdersName1,
+            OrdersName2,
+            ZipCode,
+            Address1,
+            Address2,
+            Address3,
+            PhoneNumber,
+            FaxNumber,
+            MailAddress,
+            Note,
+            btnSerchZip,
+            PointNone,
+            PointFront,
+            PointRear,
+            ChargePersonName,
+            ChargeDepartmentName,
+            OrderNo,
+        }
+        #endregion
+
+        #region 変数
+        /// <summary>
+        /// フィールド値変化フラグ
+        /// </summary>
+        private bool m_bChengeAns = false;
+
+        /// <summary>
+        /// 表示コントロール保持配列
+        /// </summary>
+        private Control[] m_dispControl;
+
+        /// <summary>
+        /// 申請年月
+        /// </summary>
+        private int m_PetitionNo = 0;
+        /// <summary>
+        /// 申請番号
+        /// </summary>
+        private int m_PetitionSeqNo = 0;
+
+        /// <summary>
+        /// 新規データ作成フラグ
+        /// </summary>
+        private bool m_NewData = false;
+
+        /// <summary>
+        /// 終了ボタン押下フラグ
+        /// </summary>
+        private bool m_EndButton = false;
+
+        /// <summary>
+        /// 参照フラグ
+        /// </summary>
+        private bool m_EditLock = false;
+        #endregion
+
+        #region プロパティ
+        /// <summary>
+        /// 申請年月
+        /// </summary>
+        public int PetitionNo
+        {
+            get { return m_PetitionNo; }
+            set { m_PetitionNo = value; }
+        }
+        /// <summary>
+        /// 申請番号
+        /// </summary>
+        public int PetitionSeqNo
+        {
+            get { return m_PetitionSeqNo; }
+            set { m_PetitionSeqNo = value; }
+        }
+
+        /// <summary>
+        /// 新規データ作成フラグ
+        /// </summary>
+        public bool NewData
+        {
+            get { return m_NewData; }
+            set { m_NewData = value; }
+        }
+
+        /// <summary>
+        /// 参照フラグ
+        /// </summary>
+        public bool EditLock
+        {
+            get { return m_EditLock; }
+            set { m_EditLock = value; }
+        }
+        #endregion
+
+        #region コンストラクタ
+        public FrmCostomerRegist()
+        {
+            InitializeComponent();
+        }
+        #endregion
+        #region デストラクタ
+        ~FrmCostomerRegist()
+        {
+            try
+            {
+                GC.Collect();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region ×ボタン押下処理
+        /// <summary>
+        /// ×ボタン押下処理
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void FrmCostomerRegist_FormClosing(object sender, FormClosingEventArgs e)
+        {
+            if (m_EndButton) return;
+            if (m_bChengeAns && !m_EditLock)
+            {
+                if (MessageBox.Show("データに変更があります、登録せずに終了してよろしいですか？。", "終了確認"
+                                , MessageBoxButtons.YesNo, MessageBoxIcon.Warning) == DialogResult.No)
+                {
+                    e.Cancel = true;
+                    return;
+                }
+            }
+            // 前プロセスに戻る
+            ClsExcute.BackProcess();
+        }
+        #endregion
+
+        #region 終了ボタンクリック
+        /// <summary>
+        /// 終了ボタンクリック
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnEnd_Click(object sender, EventArgs e)
+        {
+            this.Close();
+        }
+        #endregion
+
+        #region 初期フォームロード
+        /// <summary>
+        /// 初期フォームロード
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void FrmCostomerRegist_Load(object sender, EventArgs e)
+        {
+            // フォームサイズ固定
+            this.MaximizedBounds = new Rectangle(this.Left, this.Top, this.Width, this.Height);
+
+            // 表示オブジェクトのセット
+            SetDisplayObject();
+
+            // 法人格コンボボックスセット
+            SetcmbCorporateStatusCombBox();
+            // 発注者区分コンボボックスセット
+            SetcmbDivisionCombBox();
+
+            // データクリア
+            ClearDisplay();
+
+            // ヘッダー情報表示
+            DispHeader();
+
+            // 更新データ表示処理
+            DispMentenanceData();
+
+            // 参照時ロック
+            if (m_EditLock)
+            {
+                ExecReadOnly();
+            }
+
+            m_bChengeAns = false;
+        }
+        #endregion
+
+        #region フィールド値変更フラグ
+        /// <summary>
+        /// フィールド値変更フラグ
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void valueChange(object sender, EventArgs e)
+        {
+            m_bChengeAns = true;
+        }
+        #endregion
+
+        #region 登録ボタン押下
+        /// <summary>
+        /// 登録ボタン押下
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnDataEntry_Click(object sender, EventArgs e)
+        {
+            try
+            {
+                //データチェック
+                if (!DispFeildCheck()) return;
+
+                if (MessageBox.Show("表示中のデータを登録します。", "登録確認"
+                        , MessageBoxButtons.YesNo, MessageBoxIcon.Question) != DialogResult.Yes) return;
+
+                // データ登録
+                if (!CostomerRegistDataEntry()) return;
+
+                CommonMotions.EntryEndMessage("発注者登録申請データ");
+
+                m_bChengeAns = false;
+
+                this.Close();
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 削除ボタン押下
+        /// <summary>
+        /// 削除ボタン押下
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnDataDelete_Click(object sender, EventArgs e)
+        {
+            try
+            {
+                if (MessageBox.Show("表示中のデータを削除します。", "削除確認"
+                    , MessageBoxButtons.YesNo, MessageBoxIcon.Information) != DialogResult.Yes) return;
+
+                if (!CostomerRegistDataRemove())
+                {
+                    MessageBox.Show("削除に失敗しました。", "削除エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                    return;
+                }
+
+                CommonMotions.RemoveEndMessage("発注者登録申請データ");
+
+                m_bChengeAns = false;
+
+                this.Close();
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region Entryキーでの移動処理
+        /// <summary>
+        /// Entryキーでの移動処理
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void FrmCostomerRegist_KeyDown(object sender, KeyEventArgs e)
+        {
+            //Enterキーが押されているか確認
+            //AltかCtrlキーが押されている時は無視する
+            if ((e.KeyCode == Keys.Enter) && !e.Alt && !e.Control)
+            {
+                //あたかもTabキーが押されたかのようにする
+                //Shiftが押されている時は前のコントロールのフォーカスを移動
+                this.ProcessTabKey(!e.Shift);
+
+                e.Handled = true;
+                //.NET Framework 2.0以降
+                e.SuppressKeyPress = true;
+            }
+        }
+        #endregion
+
+        #region 住所検索ボタン押下
+        /// <summary>
+        /// 住所検索ボタン押下
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnSerchZip_Click(object sender, EventArgs e)
+        {
+            FrmAddressSearch Fad = new FrmAddressSearch();
+            try
+            {
+                //現在値セット
+                //郵便番号
+                if (!string.IsNullOrEmpty(m_dispControl[(int)DispCtrl.ZipCode].Text))
+                {
+                    Fad.ZipCodeArea = m_dispControl[(int)DispCtrl.ZipCode].Text;
+                }
+                //住所１
+                if (!string.IsNullOrEmpty(m_dispControl[(int)DispCtrl.Address1].Text))
+                {
+                    Fad.AddressArea1 = m_dispControl[(int)DispCtrl.Address1].Text;
+                }
+                //住所２
+                if (!string.IsNullOrEmpty(m_dispControl[(int)DispCtrl.Address2].Text))
+                {
+                    Fad.AddressArea2 = m_dispControl[(int)DispCtrl.Address2].Text;
+                }
+                //住所３
+                if (!string.IsNullOrEmpty(m_dispControl[(int)DispCtrl.Address2].Text))
+                {
+                    Fad.AddressArea3 = m_dispControl[(int)DispCtrl.Address3].Text;
+                }
+
+                //Fad.ShowInTaskbar = false;
+                Fad.ShowDialog();
+                // キャンセルボタン押下
+                if (Fad.CancelButtonClick) return;
+
+                //検索値取得
+                //郵便番号
+                if (!string.IsNullOrEmpty(Fad.ZipCodeArea))
+                    m_dispControl[(int)DispCtrl.ZipCode].Text = Fad.ZipCodeArea.Substring(0, 3) + "-" + Fad.ZipCodeArea.Substring(3);
+                //住所１
+                m_dispControl[(int)DispCtrl.Address1].Text = Fad.AddressArea1;
+                //住所２
+                m_dispControl[(int)DispCtrl.Address2].Text = Fad.AddressArea2;
+                //住所３
+                m_dispControl[(int)DispCtrl.Address3].Text = Fad.AddressArea3;
+
+                // 次コントロールへ
+                m_dispControl[(int)DispCtrl.PhoneNumber].Focus();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                Fad.Dispose();
+                Fad = null;
+            }
+        }
+        #endregion
+
+        #region 法人格radioButton変化有
+        /// <summary>
+        /// 法人格radioButton変化有
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void rdbPoint1_CheckedChanged(object sender, EventArgs e)
+        {
+            if (rdbPoint1.Checked)
+            {
+                cmbCorporateStatus.SelectedIndex = -1;
+                cmbCorporateStatus.Text = string.Empty;
+            }
+        }
+        #endregion
+
+        #region 日報印刷ボタン押下
+        /// <summary>
+        /// 日報印刷ボタン押下
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnPrint_Click(object sender, EventArgs e)
+        {
+            // 印刷処理
+            PrintOutCstomerRegist();
+        }
+        #endregion
+
+        #region 印刷キャンセルボタン押下
+        /// <summary>
+        /// 印刷キャンセルボタン押下
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnCancel_Click(object sender, EventArgs e)
+        {
+            //キャンセルのフラッグを立てる
+            m_Canceled = true;
+        }
+        #endregion
+
+        #region 法人・個人区分切り替え
+        /// <summary>
+        /// 法人・個人区分切り替え
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void radioButton_CheckedChanged(object sender, EventArgs e)
+        {
+            // 表示タイプ切り替え
+            ChangeDispType();
+        }
+        #endregion
+
+        #region 申請ボタン押下
+        /// <summary>
+        /// 申請ボタン押下
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnPetition_Click(object sender, EventArgs e)
+        {
+            IOCostomerRegist CrDB = new IOCostomerRegist();
+            IOPersonApproval PersonAppDB = new IOPersonApproval();
+            try
+            {
+                int SelPersonCode = CommonMotions.cnvInt(m_dispControl[(int)DispCtrl.PersonCode]);
+                // 発注者登録申請データが無い場合は登録する
+                string strSQL = CrDB.CreatePrimarykeyString(m_PetitionNo, m_PetitionSeqNo);
+
+                CostomerRegist DataRec = new CostomerRegist();
+                if (!CrDB.SelectAction(strSQL, ref DataRec)) m_bChengeAns = true;
+
+                // データ変更有時はデータ登録
+                if (m_bChengeAns) if (!CostomerRegistDataEntry()) return;
+
+                // 起動番号
+                int NowPoint = ClsExcute.NextProcess((int)ClsExcute.SubFormExecuteNo.ApprovalPerson);
+                // 担当者コード
+                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(SelPersonCode);
+                // 承認機能番号
+                int iApprovalCode = ClsExcute.AppovalList.First(x => x.Value.Equals("発注者登録承認")).Key;
+                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(iApprovalCode);
+                // 受付日
+                ClsExcute.ProcControlPara[NowPoint].StringExecParameter.Add(DateTime.Now.ToShortDateString());
+                // 受付番号
+                string strApp = PersonAppDB.CreatePrimarykeyString(SelPersonCode, (int)ClsExcute.ApprovalListNo.CostomerRegistApproval, DateTime.Now.Date);
+                int wrkOrderNo = PersonAppDB.SelectMaxOrderNoCount(strApp) + 1;
+                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(wrkOrderNo);
+
+                // 自フォーム終了
+                this.Close();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                CrDB.close(); CrDB = null;
+                PersonAppDB.close(); PersonAppDB = null;
+            }
+        }
+        #endregion
+
+        #region 承認ボタン押下
+        /// <summary>
+        /// 承認ボタン押下
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnApproval_Click(object sender, EventArgs e)
+        {
+            try
+            {
+                // データ変更有時はデータ登録
+                if (m_bChengeAns)
+                {
+                    if (!CostomerRegistDataEntry()) return;
+                }
+
+                // 起動番号
+                int NowPoint = ClsExcute.NextProcess((int)ClsExcute.SubFormExecuteNo.ApprovalPerson);
+
+                // 担当者コード
+                int SelPersonCode = CommonMotions.cnvInt(m_dispControl[(int)DispCtrl.PersonCode]);
+                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(SelPersonCode);
+
+                // 承認機能番号
+                int iApprovalCode = ClsExcute.AppovalList.First(x => x.Value.Equals("発注者登録承認")).Key;
+                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(iApprovalCode);
+
+                // 受付日
+                string strartDate = m_dispControl[(int)DispCtrl.PetitionDate].Text;
+                ClsExcute.ProcControlPara[NowPoint].StringExecParameter.Add(strartDate);
+
+                // 受付番号
+                ClsExcute.ProcControlPara[NowPoint].IntExecParameter.Add(CommonMotions.cnvInt(m_dispControl[(int)DispCtrl.OrderNo].Text));
+
+                // 自フォーム終了
+                this.Close();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 承認パネル（pnlApproval）承認ボタン
+        /// <summary>
+        /// 承認パネル（pnlApproval）承認ボタン
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnOnApproval_Click(object sender, EventArgs e)
+        {
+            FrmApprovalPerson frm = new FrmApprovalPerson();
+            try
+            {
+                if (MessageBox.Show("出勤管理を承認します、よろしいですか？。", "承認確認"
+                                , MessageBoxButtons.YesNo, MessageBoxIcon.Information) == DialogResult.No) return;
+
+                // 担当者コード
+                int SelPersonCode = CommonMotions.cnvInt(m_dispControl[(int)DispCtrl.PersonCode]);
+                frm.PersonCode = SelPersonCode;
+                // 承認機能番号セット
+                frm.ApprovalCode = ClsExcute.AppovalList.First(x => x.Value.Equals("発注者登録承認")).Key;
+                // 受付日
+                string strartDate = m_dispControl[(int)DispCtrl.PetitionDate].Text;
+                frm.OrderDate = CommonMotions.cnvDate(strartDate);
+                // 受付番号
+                frm.OrderNo = CommonMotions.cnvInt(m_dispControl[(int)DispCtrl.OrderNo].Text);
+
+
+                // 申請・承認レコード更新
+                if (!frm.ApprovalDataUpDate((int)CommonDefine.ApprovalStatus.Approval, false))
+                {
+                    MessageBox.Show("承認に失敗しました。", "承認エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                    return;
+                }
+
+                // メニューへ戻る
+                ClsExcute.ClearProcess();
+
+                // 画面クローズ
+                this.Close();
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                frm.Dispose(); frm = null;
+            }
+        }
+        #endregion
+
+        #region 承認パネル（pnlApproval）保留ボタン
+        /// <summary>
+        /// 承認パネル（pnlApproval）保留ボタン
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnOnHold_Click(object sender, EventArgs e)
+        {
+            FrmApprovalPerson frm = new FrmApprovalPerson();
+            try
+            {
+                if (MessageBox.Show("出勤管理を保留とします、よろしいですか？。", "保留確認"
+                                , MessageBoxButtons.YesNo, MessageBoxIcon.Information) == DialogResult.No) return;
+
+                // 担当者コード
+                int SelPersonCode = CommonMotions.cnvInt(m_dispControl[(int)DispCtrl.PersonCode]);
+                frm.PersonCode = SelPersonCode;
+                // 承認機能番号セット
+                frm.ApprovalCode = ClsExcute.AppovalList.First(x => x.Value.Equals("発注者登録承認")).Key;
+                // 受付日
+                string strartDate = m_dispControl[(int)DispCtrl.PetitionDate].Text;
+                frm.OrderDate = CommonMotions.cnvDate(strartDate);
+                // 受付番号
+                frm.OrderNo = CommonMotions.cnvInt(m_dispControl[(int)DispCtrl.OrderNo].Text);
+
+                // 申請・承認レコード更新
+                if (!frm.ApprovalDataUpDate((int)CommonDefine.ApprovalStatus.Pending, false))
+                {
+                    MessageBox.Show("保留に失敗しました。", "保留エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                    return;
+                }
+
+                // メニューへ戻る
+                ClsExcute.ClearProcess();
+
+                // 画面クローズ
+                this.Close();
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                frm.Dispose(); frm = null;
+            }
+        }
+        #endregion
+
+        #region 承認パネル（pnlApproval）不承認ボタン
+        /// <summary>
+        /// 承認パネル（pnlApproval）不承認ボタン
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnNotApproval_Click(object sender, EventArgs e)
+        {
+            FrmApprovalPerson frm = new FrmApprovalPerson();
+            try
+            {
+                if (MessageBox.Show("出勤管理を不承認します、よろしいですか？。", "不承認確認"
+                                , MessageBoxButtons.YesNo, MessageBoxIcon.Information) == DialogResult.No) return;
+
+                // 担当者コード
+                int SelPersonCode = CommonMotions.cnvInt(m_dispControl[(int)DispCtrl.PersonCode]);
+                frm.PersonCode = SelPersonCode;
+                // 承認機能番号セット
+                frm.ApprovalCode = ClsExcute.AppovalList.First(x => x.Value.Equals("発注者登録承認")).Key;
+                // 受付日
+                string strartDate = m_dispControl[(int)DispCtrl.PetitionDate].Text;
+                frm.OrderDate = CommonMotions.cnvDate(strartDate);
+                // 受付番号
+                frm.OrderNo = CommonMotions.cnvInt(m_dispControl[(int)DispCtrl.OrderNo].Text);
+
+                // 申請・承認レコード更新
+                if (!frm.ApprovalDataUpDate((int)CommonDefine.ApprovalStatus.NotApproval, false))
+                {
+                    MessageBox.Show("不承認に失敗しました。", "不承認エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                    return;
+                }
+
+                // メニューへ戻る
+                ClsExcute.ClearProcess();
+
+                // 画面クローズ
+                this.Close();
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                frm.Dispose(); frm = null;
+            }
+        }
+        #endregion
+    }
+}
\ No newline at end of file
